<ion-header>
    <ion-toolbar class="header">
        <ion-buttons slot="start">
          <ion-menu-button autoHide="false"></ion-menu-button>
        </ion-buttons>
      <ion-title>Cadastrar-se</ion-title>
    </ion-toolbar>
  </ion-header>

<ion-content padding>

  <form #form="ngForm" (ngSubmit)="register(form)" method="post">
    <ion-item>
        <ion-label position="floating">Nome</ion-label>
        <ion-input ngModel name="fName"></ion-input>
    </ion-item>
  
    <ion-item>
      <ion-label position="floating">Sobrenome</ion-label>
      <ion-input ngModel name="lName"></ion-input>
    </ion-item>
  
    <ion-item>
      <ion-label position="floating">Email</ion-label>
      <ion-input type="email" ngModel name="email"></ion-input>
    </ion-item>
  
    <ion-item>
      <ion-label position="floating">Senha</ion-label>
      <ion-input type="password" ngModel name="password"></ion-input>
    </ion-item>
  
    <ion-button type="submit" expand="full" color="danger">Cadastrar-se</ion-button>
  </form>

  <p text-center>Já possui uma conta?</p>
  <ion-button expand="full" color="primary" [routerDirection]="'root'" [routerLink]="['/login']">Entrar</ion-button>
</ion-content>  